For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Npt Task Statuses
      • POSTCreate Npt Task Status
      • PUTUpdate Npt Task Status
      • DELDelete Npt Task Status
LogoLogo
SupportContact salesStart free trial
API ReferenceNpt Status

Update Npt Task Status

PUT
https://api.projectmanager.com/api/data/non-project-tasks/statuses/:nptStatusId
PUT
/api/data/non-project-tasks/statuses/:nptStatusId
$curl -X PUT https://api.projectmanager.com/api/data/non-project-tasks/statuses/nptStatusId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string",
16 "order": 1,
17 "isDone": true
18 }
19}

Updates an existing status level for non-project tasks.

Was this page helpful?
Previous

Delete Npt Task Status

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

nptStatusIdstringRequiredformat: "uuid"
The unique identifier of the status to update

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

Information about the status level to update
namestring or nullOptional
The name of this TaskStatus.
orderinteger or nullOptional
A numerical value that can be used to sort TaskStatus values according to the needs of your business.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A TaskStatus is a named status level used by your business to determine how to measure the progress of Tasks. You can define your own named status levels that are appropriate for your business and determine which status levels are considered done.

Errors

400
Bad Request Error